import request from '@/utils/request'

// 查询入库单详情列表
export function listWmsInboundOrderItemDetail(query) {
  return request({
    url: '/ware/wmsInboundOrderItemDetail/list',
    method: 'get',
    params: query
  })
}

// 查询入库单详情详细
export function getWmsInboundOrderItemDetail(itemDetailId) {
  return request({
    url: '/ware/wmsInboundOrderItemDetail/' + itemDetailId,
    method: 'get'
  })
}

// 新增入库单详情
export function addWmsInboundOrderItemDetail(data) {
  return request({
    url: '/ware/wmsInboundOrderItemDetail',
    method: 'post',
    data: data
  })
}

// 修改入库单详情
export function updateWmsInboundOrderItemDetail(data) {
  return request({
    url: '/ware/wmsInboundOrderItemDetail',
    method: 'put',
    data: data
  })
}

// 删除入库单详情
export function delWmsInboundOrderItemDetail(itemDetailId) {
  return request({
    url: '/ware/wmsInboundOrderItemDetail/' + itemDetailId,
    method: 'delete'
  })
}
